import {Component} from '@angular/core';
import {ApiService} from '../../services/api-service';
import {MainButton} from '../../buttons/main-button/main-button';

@Component({
  selector: 'app-testing-api',
  imports: [
    MainButton
  ],
  templateUrl: './testing-api.html',
  styleUrl: './testing-api.scss'
})
export class TestingApi {

  public response: any = '';

  constructor(private apiservice: ApiService) {

  }


  login() {
    this.apiservice.fetchLogin().then(res => {
      console.log(res);
      this.response = res;
    })
  }

  sendFeedback() {
    console.log('sendFeedback');
    this.apiservice.fetchEndPoint('feedback').then(res => {
      console.log(res);
      this.response = res;
    })
  }

  sendMessage() {
    console.log('sendMessage');
  }

  sendFile() {
    console.log('sendFile');
  }


}
